mmyolo.datasets
--------------------

datasets
^^^^^^^^^^
.. automodule:: mmyolo.datasets
    :members:

transforms
^^^^^^^^^^^^
.. automodule:: mmyolo.datasets.transforms
    :members:

mmyolo.engine
--------------

hooks
^^^^^^^^^^
.. automodule:: mmyolo.engine.hooks
    :members:

optimizers
^^^^^^^^^^
.. automodule:: mmyolo.engine.optimizers
    :members:

mmyolo.models
--------------

backbones
^^^^^^^^^^
.. automodule:: mmyolo.models.backbones
    :members:

data_preprocessor
^^^^^^^^^^^^^^^^^^^
.. automodule:: mmyolo.models.data_preprocessor
    :members:

dense_heads
^^^^^^^^^^^^
.. automodule:: mmyolo.models.dense_heads
    :members:

detectors
^^^^^^^^^^
.. automodule:: mmyolo.models.detectors
    :members:

layers
^^^^^^^^^^
.. automodule:: mmyolo.models.layers
    :members:

losses
^^^^^^^^^^
.. automodule:: mmyolo.models.losses
    :members:

necks
^^^^^^^^^^^^
.. automodule:: mmyolo.models.necks
    :members:


task_modules
^^^^^^^^^^^^^^^
.. automodule:: mmyolo.models.task_modules
    :members:

utils
^^^^^^^^^^
.. automodule:: mmyolo.models.utils
    :members:


mmyolo.utils
--------------
.. automodule:: mmyolo.utils
    :members:
